routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/binary', 'BinaryController@index')->name('binary');

Route::get('/broker/{broker}', 'BrokerWebController@index')->name('web_broker');

Route::get('/contact', 'ContactController@index')->name('contact');

Route::get('/support', 'SupportController@index')->name('support');

Route::get('/features', 'FeaturesController@index')->name('features');

Route::get('/how-its-work', 'How_its_workController@index')->name('how-its-work');

Route::get('/terms-and-condition', 'Terms_conditionController@index')->name('terms');

Route::get('/privacy-policy', 'PrivacyController@index')->name('privacy');

Route::get('/mainpage', 'MainpageController@index')->name('mainpage');
Route::post('/withdraw-request/store', 'MainpageController@transactionStore')->name('transaction.store');
Route::post('/withdraw-request', 'MainpageController@withDrawRequestStatus')->name('withdraw_request_status');
Route::get('/', 'WelcomeController@index')->name('Homepage');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::middleware(['auth'])->group(function () {
    Route::get('/myaccount', ('AccountController@index'))->name('my_account');
    Route::post('/update-broker-id', ('AccountController@updateBrokerAccountId'))->name('update_broker_account');
    Route::get('/refered_user', ('ReferedUserController@index'))->name('refered_user');
    Route::get('/withdrawl', ('WithdrawlController@index'))->name('withdrawl');
    Route::get('/leaderboard', ('LeaderboardController@index'))->name('leaderboard');
    Route::post('/popup-status-update', ('AccountController@popUpStatusUpdate'))->name('popup_update_status');
});

Route::namespace("Admin")->prefix('admin')->group(function(){

    Route::resource('/broker', BrokerController::class);
    Route::resource('/payment', PaymentController::class);
    Route::get('/trade', 'Trade@index')->name('Trade.index');
    Route::get('/verify-booker-user', 'BrokerController@verifyBooker')->name('verify.user.booker');
    Route::get('/verify-booker-user-status/{user_account}', 'BrokerController@approvedBookerAccount')->name('verify.user.booker.update');
    Route::post('/trade', 'Trade@store')->name('Trade.store');
	Route::get('/', 'HomeController@index')->name('admin.home');
    Route::get('/users', 'UserController@index')->name('user.index');
    Route::get('/user/{user}/action-history', 'UserController@actionHistory')->name('user_action.history');
    Route::get('/user/{user}/export', 'UserController@actionHistoryExport')->name('user_action.history_export');
    Route::get('/user/{user}/withdraw/export', 'UserController@withdrawHistoryExport')->name('user_action.withdraw_export');
    Route::get('/user/{user}/status', 'UserController@status')->name('user.status');
    Route::get('/user/{user}/delete', 'UserController@delete')->name('user.delete');
    Route::get('/user/{user}/transactiondelete', 'UserController@transactiondelete')->name('user.transactiondelete');
    Route::get('/user/{user}/referal', 'UserController@referal')->name('user.referals');
    Route::get('/user/{user}/summary', 'UserController@summary')->name('user.summary');
	Route::get('/withdraw-request', 'HomeController@transaction')->name('transaction.index');
    Route::get('/setting', 'HomeController@Setting')->name('settings');
    Route::post('/setting/update', 'HomeController@settingUpdate')->name('settings.update');
    Route::get('/activity-logs', 'UserController@activityLogs')->name('activity-logs');
    Route::get('/user-summary-report', 'UserController@userSummaryReport')->name('user-report-account');
    Route::get('/user-site-summary-report', 'UserController@withUserSiteSummaryExport')->name('user-site-summary-report');
    Route::resource('/accounts', AccountController::class);
    Route::get('monthly-level-down', 'UserController@monthlyLevelDown')->name('monthly-level-down');

    Route::namespace('Auth')->group(function(){
        Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
        Route::post('/login', 'LoginController@login');
        Route::post('logout', 'LoginController@logout')->name('admin.logout');
    });
});

Route::get('referal/{account_id}/register', 'ReferedUserController@referredView')->name('user_referred');

Route::get('/email', function () {
    $data = [
        'name' => 'Shehryar',    
        'request_amount' => 125.50,    
        'date' => \Carbon\Carbon::now()->format('Y-m-d h:i a'),    
    ];
    Mail::send('email/withdrawl-request-email', ['data'=>$data ], function ($message) use ($data) {
        $message->to('shehryarhaider0316@gmail.com')
            ->from('info@fxcashbacks.com','FXCASHBACKS')
            ->subject("Welcome to FxCashbacks");
    });
    return "DOne";
});
Route::get('reset', function (){
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    // Artisan::call('route:cache');
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    // Artisan::call('optimize'x);
    echo "cache Clear";
});

app/Payment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    protected $fillable = [
        'name', 'image'
    ];
}

app/Http/Controllers/Admin/PaymentController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\PaymentMethod;
use Illuminate\Support\Facades\Storage;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $payment = PaymentMethod::get();
        activityLog('View Payment Method');
        return view('admin.payment.index', compact('payment'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.payment.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name' => 'required',
            'image' => 'required',
        ]);
        if ($request->image) {
            
            $data['image']  = Storage::disk('uploads')->putFile('', $request->image);
        }

        PaymentMethod::create($data);
        activityLog('Add Payment Method');
        return redirect()->route('payment.index')
                        ->with('success','Payment created successfully.');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $payment = PaymentMethod::find($id);
        return view('admin.payment.edit', compact('payment'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, PaymentMethod $payment)
    {
        $data = $request->validate([
            'name' => 'required',
        ]);
        if ($request->image) {
            Storage::disk('uploads')->delete($payment->image);
            $data['image']  = Storage::disk('uploads')->putFile('',$request->image);
        }
        // return $data;
        $payment->update($data);
        activityLog('Update Payment Method');
        return redirect()->route('payment.index')
                        ->with('success','Payment created successfully.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $payment = PaymentMethod::find($id);
        Storage::disk('uploads')->delete($payment->image);
        $payment->delete();
        activityLog('Delete Payment Method');
        return redirect()->route('payment.index')
                        ->with('success','payment deleted successfully');
    }
}

resources/views/admin/payment/create.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
        <h1>Add Payment Method </h1>
        <nav>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
                <li class="breadcrumb-item">Payment Method</li>
            </ol>
        </nav>
    </div><!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Add Payment Method</h5>

                        <!-- Multi Columns Form -->
                        <form class="row g-3" method="post" enctype="multipart/form-data"
                            action="{{ route('payment.store') }}">
                            @csrf
                            <div class="col-md-12">
                                <label for="inputName1" class="form-label">Payment Title</label>
                                <input type="text" class="form-control" name="name" id="inputName1">
                            </div>
                            <div class="col-md-12">
                                <label for="inputEmail3" class="form-label">Payment Image</label>
                                <input type="file" class="form-control" name="image" id="inputEmail3">
                            </div>
                            <div class="text-end">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </form><!-- End Multi Columns Form -->

                    </div>
                </div>
            </div>
        </div>
    </section>

</main><!-- End #main -->
@endsection

resources/views/admin/payment/edit.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
        <h1>Edit Payment Method </h1>
        <nav>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
                <li class="breadcrumb-item">Payment Method</li>
            </ol>
        </nav>
    </div><!-- End Page Title -->
<section class="section">

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('payment.update',$payment->id) }}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('PUT')

         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Name:</strong>
                    <input type="text" name="name" value="{{ $payment->name }}" class="form-control" placeholder="Name">
                </div>
            </div>
            <div class="col-md-12">
                <label for="inputEmail3" class="form-label">Payment Image</label>
                <input type="file" class="form-control" name="image" id="inputEmail3" value="{{ $payment->image }}">
                <br>
                <img src="{{url('').'/uploads/'.$payment->image}}" alt="" height="100px">
              </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

    </form>
</section>
</main>
@endsection

resources/views/admin/payment/index.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
      <h1>View Payment Method</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
          <li class="breadcrumb-item">Tables</li>
          <li class="breadcrumb-item active">Data</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section">
      <div class="row">
        <div class="col-lg-12">

          <div class="card">
            <div class="card-body">
              <h5 class="card-title">View Payment</h5>

            <a href="{{route('payment.create')}}"> Add payment</a>

              <!-- Table with stripped rows -->
              <table class="table datatable">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">images</th>
                    <th scope="col">Name</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach($payment as $pay)
                  <tr>
                    <td> {{ $pay->id}}</td>
                    <td><img src="{{ url('').'/uploads/'. $pay->image}}" width="50" height="50" class="rounded-circle" /></td>
                    <td>{{ $pay->name}}</td>
                    <td>
                        <form action="{{ route('payment.destroy',$pay->id) }}" method="POST">

                            {{-- <a class="btn btn-info" href="{{ route('payment.show',$pay->id) }}">Show</a> --}}

                            {{-- <a class="btn btn-primary" href="{{ route('payment.edit',$pay->id) }}">Edit</a> --}}

                            @csrf
                            @method('DELETE')

                            <a class="btn btn-info" href="{{ route('payment.edit',$pay->id) }}">Edit</a>
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>

                  </tr>
                  @endforeach
                </tbody>
              </table>
              <!-- End Table with stripped rows -->

            </div>
          </div>

        </div>
      </div>
    </section>

  </main><!-- End #main -->

@endsection

resources/views/admin/payment/show.blade.php
@extends('broker.layout')
  
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2> Show broker</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('broker.index') }}"> Back</a>
            </div>
        </div>
    </div>
   
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Name:</strong>
                {{ $broker->name }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Details:</strong>
                {{ $broker->detail }}
            </div>
        </div>
    </div>
@endsection